Package com.ocient.jdbc

# Class StLinestring

java.lang.Object
com.ocient.jdbc.StLinestring

    public class StLinestring
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StLinestring​(List<StPoint> points)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`List<StPoint>` | `getPoints()` |
`String` | `toString()` |
`void` | `writeXML​(Document doc, Element docElement, String name, String description, int id)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StLinestring

public StLinestring​(List<StPoint> points)

## Method Details

### getPoints

public List<StPoint> getPoints()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### writeXML

public void writeXML​(Document doc, Element docElement, String name, String description, int id)